=== debian/changelog ===
shiboken (1.0.4-2) unstable; urgency=low

  * Update symbols:
    - cope with size_t size differences between 32-64 bit machines.
    - sparc-specific updates.

 -- Didier Raboud <odyx@debian.org>  Fri, 24 Jun 2011 13:54:05 +0200

shiboken (1.0.4-1) unstable; urgency=low

  * New 1.0.4 upstream "The winter is coming" release
    - Bump B-Ds:
      - on generatorrunner to 0.6.11.
      - on apiextractor to 0.10.4.
  * Add 13 symbols for 1.0.4.

 -- Didier Raboud <odyx@debian.org>  Thu, 23 Jun 2011 16:56:20 +0200
