## shiboken 1.0.5-1maemo1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
                       ${CMAKE_MODULE_PATH})
 
 find_package(Qt4 4.5.0)
-find_package(ApiExtractor 0.10.4 REQUIRED)
+find_package(ApiExtractor 0.10.5 REQUIRED)
 find_package(GeneratorRunner 0.6.11 REQUIRED)
 find_package(PythonLibs)
 find_package(PythonInterpWithDebug)
@@ -16,7 +16,7 @@
 
 set(shiboken_MAJOR_VERSION "1")
 set(shiboken_MINOR_VERSION "0")
-set(shiboken_MICRO_VERSION "4")
+set(shiboken_MICRO_VERSION "5")
 set(shiboken_VERSION "${shiboken_MAJOR_VERSION}.${shiboken_MINOR_VERSION}.${shiboken_MICRO_VERSION}")
 
 option(BUILD_TESTS "Build tests." TRUE)
