=== debian/changelog ===
shiboken (1.0.5-1maemo1) unstable; urgency=low

  * New version from upstream: 1.0.5

 -- Willer Moreira <willer.moreira@indt.org.br>  Tue, 26 Jul 2011 08:53:32 -0400
