=== debian/control ===
--- 
+++ 
@@ -1,17 +1,13 @@
 Source: shiboken
 Section: devel
-Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Didier Raboud <odyx@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7.3.12), cmake (>= 2.8.2),
- libqt4-dev (>= 4:4.7.0),
- libapiextractor-dev (>= 0.10.4),
- generatorrunner (>= 0.6.11), libgenrunner-dev (>= 0.6.11),
- libsparsehash-dev (>= 1.6-1.1~),
- python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3)
-Build-Depends-Indep: python-sphinx
-X-Python-Version: >= 2.6
-Standards-Version: 3.9.2.0
+Priority: extra
+Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: dpkg-dev (>= 1.14.25), debhelper7 (>= 7.3.12), cmake (>= 2.6.0),
+	libqt4-dev (>= 4.5.0), libapiextractor-dev (>= 0.10.5), generatorrunner (>= 0.6.11), libgenrunner-dev (>= 0.6.11),
+	python-all-dev, python-all-dbg, quilt
+XS-Python-Version: >= 2.5
+Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/shiboken/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/shiboken/?op=log
 Homepage: http://www.pyside.org/
@@ -27,22 +23,11 @@
  .
  Shiboken is the binding generator used to create the PySide bindings.
 
-Package: shiboken-doc
-Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
-Section: doc
-Description: CPython bindings generator for C++ libraries documentation
- Shiboken is a bindings generator for C++ libraries that outputs CPython
- source code. It uses generatorrunner and apiextractor to collect information
- from library headers, merging modifications and handwritten code defined in the
- typesystem description.
- .
- Shiboken is the binding generator used to create the PySide bindings; this
- package contains its documentation.
-
 Package: libshiboken1.0
 Section: libs
 Architecture: any
+Conflicts: libshiboken0 (<< 1.0)
+Replaces: libshiboken0 (<< 1.0)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CPython bindings generator for C++ libraries - shared library
  Shiboken is a bindings generator for C++ libraries that outputs CPython
@@ -77,4 +62,4 @@
  from library headers, merging modifications and handwritten code defined in the
  typesystem description.
  .
- This package contains the debugging symbols for shiboken and libshiboken.
+ This package contains the debugging symbols for shiboken and libshiboken0.
