=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
                          samplebinding/*_test.py
                          otherbinding/*_test.py)
 endif()
+list(SORT TEST_FILES)
 
 set(test_blacklist "")
 
@@ -51,13 +52,14 @@
     endif()
 
     foreach(test_file ${TEST_FILES})
-        string(REGEX MATCH "/([^/]+)_test.py" test_name ${test_file})
-        list(FIND test_blacklist ${CMAKE_MATCH_1} expect_fail)
-        add_test(${CMAKE_MATCH_1} ${PYTHON_EXECUTABLE} ${test_file})
-        set_tests_properties(${CMAKE_MATCH_1} PROPERTIES ENVIRONMENT "PYTHONPATH=${TEST_PYTHONPATH};${LIBRARY_PATH_VAR}=${TEST_LIBRARY_PATH}")
-        set_tests_properties(${CMAKE_MATCH_1} PROPERTIES TIMEOUT ${CTEST_TESTING_TIMEOUT})
+        string(REGEX MATCH "/([^/]+)binding/([^/]+)_test.py" tmp ${test_file})
+        set(test_name "${CMAKE_MATCH_1}_${CMAKE_MATCH_2}")
+        list(FIND test_blacklist ${test_name} expect_fail)
+        add_test(${test_name} ${PYTHON_EXECUTABLE} ${test_file})
+        set_tests_properties(${test_name} PROPERTIES ENVIRONMENT "PYTHONPATH=${TEST_PYTHONPATH};${LIBRARY_PATH_VAR}=${TEST_LIBRARY_PATH}")
+        set_tests_properties(${test_name} PROPERTIES TIMEOUT ${CTEST_TESTING_TIMEOUT})
         if (${expect_fail} GREATER -1)
-            set_tests_properties(${CMAKE_MATCH_1} PROPERTIES WILL_FAIL TRUE)
+            set_tests_properties(${test_name} PROPERTIES WILL_FAIL TRUE)
         endif()
     endforeach()
 endif()
