=== debian/changelog ===
shiboken (1.0.6-1ubuntu1) oneiric; urgency=low

  * debian/control: Ubuntu 11.10 only has debhelper 8.9.0.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 06 Sep 2011 15:15:30 -0400

shiboken (1.0.6-1) unstable; urgency=low

  * New 1.0.6 upstream release.
    - Fixes the documentation generation.
    - Bump B-Ds:
      - on generatorrunner to 0.6.12;
      - on apiextractor to 0.10.6.

  * Add 9 new symbols for 1.0.6.

  * Don't dh_auto_install in -indep as it's not needed.
  * Use dh_sphinxdoc to handle the generated documentation.
    - Replace libjs-jquery by ${sphinxdoc:Depends} in Depends.
    - Drop shiboken-doc.links including explicit symlink to
      libjs-jquery.
    - Conditionally use dh_sphinxdoc when needed.
  * Multiarch-update the shiboken generatorrunner plugin path.
    - Bump B-D on generatorrunner to a multiarch'ed version.
  * Convert library to multiarch.
    - Bump B-D:
      - on debhelper to 8.9.3.
      - on cmake to 2.8.4+dfsg.1-3~.
    - Bump debhelper compatibility level to 9.
    - Override lintian warning about debhelper being too young.
    - Update *.install files to cope with new library paths.
    - Update .so symlinks paths.
    - Initialize D_H_MULTIARCH from dpkg-architectures, use it in the
      LIB_SUFFIX cmake variable
    - Add a Pre-Depends on multiarch-support to the libshiboken package.
    - Add Multi-Arch: same to the libshiboken package.

 -- Didier Raboud <odyx@debian.org>  Tue, 23 Aug 2011 14:59:16 +0200

shiboken (1.0.5-2) unstable; urgency=low

  * Update buildsystem (again) to cleanly separate arch-{all,indep}.
    - Bump compat and B-D on debhelper to 8.
    - Update rules to build documentation at the right moment.
  * Drop three noisy sparc symbols.

 -- Didier Raboud <odyx@debian.org>  Tue, 02 Aug 2011 17:23:03 +0200

shiboken (1.0.5-1) unstable; urgency=low

  * New 1.0.5 upstream "And no name was given that day" release
    - Bump B-Ds:
      - on apiextractor to 0.10.5.
    - Add 3 symbols to libshiboken1.0 symbol file.

 -- Didier Raboud <odyx@debian.org>  Fri, 22 Jul 2011 23:50:11 +0200
