## shiboken 1.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,19 +7,34 @@
                       ${CMAKE_MODULE_PATH})
 
 find_package(Qt4 4.5.0)
-find_package(ApiExtractor 0.10.6 REQUIRED)
-find_package(GeneratorRunner 0.6.12 REQUIRED)
-find_package(PythonLibs)
-find_package(PythonInterpWithDebug)
+find_package(ApiExtractor 0.10.8 REQUIRED)
+find_package(GeneratorRunner 0.6.14 REQUIRED)
 
 add_definitions(${QT_DEFINITIONS})
 
 set(shiboken_MAJOR_VERSION "1")
 set(shiboken_MINOR_VERSION "0")
-set(shiboken_MICRO_VERSION "6")
+set(shiboken_MICRO_VERSION "9")
 set(shiboken_VERSION "${shiboken_MAJOR_VERSION}.${shiboken_MINOR_VERSION}.${shiboken_MICRO_VERSION}")
 
 option(BUILD_TESTS "Build tests." TRUE)
+option(USE_PYTHON3 "Use python3 libraries to build shiboken." FALSE)
+
+if (USE_PYTHON3)
+    find_package(Python3Libs)
+    find_package(Python3InterpWithDebug)
+    #use commom vars
+    set(PYTHONLIBS_FOUND ${PYTHON3LIBS_FOUND})
+    set(PYTHON_LIBRARIES ${PYTHON3_LIBRARIES})
+    set(PYTHON_INCLUDE_DIRS ${PYTHON3_INCLUDE_DIRS})
+    set(PYTHON_DEBUG_LIBRARIES ${PYTHON3_DEBUG_LIBRARIES})
+    set(PYTHONINTERP_FOUND ${PYTHON3INTERP_FOUND})
+    set(PYTHON_EXECUTABLE ${PYTHON3_EXECUTABLE})
+else()
+    find_package(PythonLibs 2.6)
+    find_package(PythonInterpWithDebug)
+endif()
+
 
 if(MSVC)
     set(CMAKE_CXX_FLAGS "/Zc:wchar_t- /GR /EHsc /DWIN32 /D_WINDOWS /D_SCL_SECURE_NO_WARNINGS")
