=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
     message("CMake version greater than 2.8 necessary to run tests")
 else()
     if(WIN32)
-        set(TEST_PYTHONPATH     "${minimal_BINARY_DIR};${sample_BINARY_DIR};${other_BINARY_DIR}")
+        set(TEST_PYTHONPATH     "${minimal_BINARY_DIR};${sample_BINARY_DIR};${other_BINARY_DIR};${CMAKE_CURRENT_SOURCE_DIR}")
         set(TEST_LIBRARY_PATH   "$ENV{PATH};${libminimal_BINARY_DIR};${libsample_BINARY_DIR};${libother_BINARY_DIR};${libshiboken_BINARY_DIR}")
         set(LIBRARY_PATH_VAR    "PATH")
         string(REPLACE "\\" "/" TEST_PYTHONPATH "${TEST_PYTHONPATH}")
@@ -46,7 +46,7 @@
         string(REPLACE ";" "\\;" TEST_PYTHONPATH "${TEST_PYTHONPATH}")
         string(REPLACE ";" "\\;" TEST_LIBRARY_PATH "${TEST_LIBRARY_PATH}")
     else()
-        set(TEST_PYTHONPATH     "${minimal_BINARY_DIR}:${sample_BINARY_DIR}:${other_BINARY_DIR}")
+        set(TEST_PYTHONPATH     "${minimal_BINARY_DIR}:${sample_BINARY_DIR}:${other_BINARY_DIR}:${CMAKE_CURRENT_SOURCE_DIR}")
         set(TEST_LIBRARY_PATH   "$ENV{LD_LIBRARY_PATH}:${libminimal_BINARY_DIR}:${libsample_BINARY_DIR}:${libother_BINARY_DIR}:${libshiboken_BINARY_DIR}")
         set(LIBRARY_PATH_VAR    "LD_LIBRARY_PATH")
     endif()
