=== debian/changelog ===
shiboken (1.0.9-3) unstable; urgency=low

  * Brown-paper bag: Fix symbols typo from previous upload.

 -- Didier Raboud <odyx@debian.org>  Wed, 26 Oct 2011 15:21:55 +0200

shiboken (1.0.9-2) unstable; urgency=low

  * Update symbols to cope with size_t size differences between 32-64
    bit machines.

 -- Didier Raboud <odyx@debian.org>  Wed, 26 Oct 2011 12:27:24 +0200

shiboken (1.0.9-1) unstable; urgency=low

  * New 1.0.9 upstream release.
  * Bump B-Ds:
    - on generatorrunner to 0.6.14;
    - on apiextractor to 0.10.8.

  * Add 12 new symbols for 1.0.9.
  * Update packaging to 1.0.9:
    - Refresh patches, add pythonversionindep.patch to allow picking a
      specific python version.
    - Make sure the picked pkg-config file is the default one.
    - Update the cmake configuration calls.

 -- Didier Raboud <odyx@debian.org>  Wed, 26 Oct 2011 10:56:09 +0200

shiboken (1.0.7-1) unstable; urgency=low

  * New 1.0.7 upstream release.
  * Bump B-Ds:
    - on generatorrunner to 0.6.13;
    - on apiextractor to 0.10.7.

  * Add two 1.0.7 symbols.
  * Update lintian overrides for the -dbg package.

 -- Didier Raboud <odyx@debian.org>  Thu, 22 Sep 2011 14:13:20 +0200
