=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: shiboken
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 8.9.0), cmake (>= 2.8.4+dfsg.1-3~),
+Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 8.9.3~), cmake (>= 2.8.4+dfsg.1-3~),
  libqt4-dev (>= 4:4.7.0),
- libapiextractor-dev (>= 0.10.6),
- generatorrunner (>= 0.6.12), libgenrunner-dev (>= 0.6.12),
+ libapiextractor-dev (>= 0.10.8),
+ generatorrunner (>= 0.6.14), libgenrunner-dev (>= 0.6.14),
  libsparsehash-dev (>= 1.6-1.1~),
  python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3)
 Build-Depends-Indep: python-sphinx
@@ -19,7 +18,7 @@
 
 Package: shiboken
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= 0.6.12)
+Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= 0.6.14)
 Description: CPython bindings generator for C++ libraries
  Shiboken is a bindings generator for C++ libraries that outputs CPython
  source code. It uses generatorrunner and apiextractor to collect information
