=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,10 @@
 	-DCMAKE_BUILD_TYPE:STRING="Debug" \
 	-DCMAKE_SKIP_RPATH=true \
 	-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
+	-DPYTHON_SUFFIX=-python$*-dbg \
 	-DCMAKE_USE_PYTHON_VERSION="$*-dbg;$*_d;$*" \
-	-DPython_ADDITIONAL_VERSIONS="$*-dbg;$*_d;$*"
+	-DPython_ADDITIONAL_VERSIONS="$*-dbg;$*_d;$*" \
+	-DPYTHON_EXECUTABLE=/usr/bin/python$*-dbg
 
 override_dh_auto_configure-%:
 	mkdir -p build-$*
@@ -32,9 +34,11 @@
 	-DCMAKE_BUILD_TYPE:STRING="Release" \
 	-DCMAKE_SKIP_RPATH=true \
 	-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
+	-DPYTHON_SUFFIX=-python$* \
 	-DCMAKE_USE_PYTHON_VERSION=$* \
 	-DPython_ADDITIONAL_VERSIONS=$* \
-	-DDEFAULT_PYTHON_BASENAME=python${DEFAULT_PY}
+	-DPYTHON_EXECUTABLE=/usr/bin/python$* \
+	-DDEFAULT_PYTHON_SUFFIX=-python${DEFAULT_PY}
 
 #### BUILD ####
 
@@ -95,6 +99,9 @@
 	# Setup the default version symbolic links
 	ln -sf libshiboken-python${DEFAULT_PY}.so \
 	               debian/libshiboken-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libshiboken.so
+	# Make sure the pkg-config is the default's
+	install -D -m 644 build-${DEFAULT_PY}/data/shiboken.pc \
+			debian/libshiboken-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/shiboken.pc
 endif
 ifneq (,$(filter shiboken-dbg, $(shell dh_listpackages)))
 	ln -sf libshiboken-python${DEFAULT_PY}-dbg.so \
